Subject: bug#12219: Could the --add-missing option be supported in AM_INIT_AUTOMAKE?

From: Jeff Johnston <[email-masked]>
Date: Fri, 17 Aug 2012 11:37:55 -0400

On 08/17/2012 07:03 AM, Stefano Lattarini wrote:
> Severity: wishlist
>
> [CC:ing bug-automake so that I won't forget about this issue]
>
> On 08/17/2012 01:04 AM, Jeff Johnston wrote:
>> If a configure.ac file is edited and the following added:
>>
>> LT_INIT
>> AC_PROG_LIBTOOL
>>
> I think you shouldn't add both, BTW; AC_PROG_LIBTOOL is the
> obsolescent name for LT_INIT AFAIK.

Ok, the lines above were part of a bug report for the Eclipse CDT 
autotools plug-in and I just copied
it over.

>> The make can fail when it tries to do an automake and ltmain.sh
>> is missing.
>>
> Note that even "automake --add-missing" wouldn't help you here,
> because the ltmain.sh is provided by Libtool, not Automake, and
> installed by 'libtoolize', not by 'automake'.

The end-user ended up using autoreconf -i.  In that case, would it
make sense for maintainer mode to run autoreconf -i?

> Still, for other, similar use cases (e.g., adding AC_PROG_CC_C_O
> or AM_PROG_AR to configure.ac) your request sounds valid.
>
>> How does one set up automake to use the --add-missing parameter
>> automatically?
>>
> Currently, one can't.
>
>> It's not recognized as an option to use with AM_INIT_AUTOMAKE,
>>
> Well, automake could be enhanced to recognize a "add-missing" option
> in AM_INIT_AUTOMAKE too.  This would seem a good idea, but I need to
> think about it more carefully, in case there is some a subtle reason
> for the current beaviour, and against the proposed enhancement.
>
>> and the generated call to AUTOMAKE in the Makefile does not use
>> an option variable that can be set.
>>
>> Should this be used by default in the Makefile when maintainer
>> mode is enabled?
>>
> I don't understand this question, sorry.  What do you refer to
> with "this" here?
>
I meant the --add-missing option when calling automake.
>> -- Jeff J.
> Thanks,
>    Stefano